Bug 831631 - Fix option syntax in scripts when using xml-commons-resolver
Fix option syntax in scripts when using xml-commons-resolver
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: saxon (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andy Grimm
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 09:26 EDT by David Ward
Modified: 2016-11-07 22:46 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-05 17:37:08 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix option syntax in scripts when using xml-commons-resolver (1.53 KB, patch)
2012-06-13 09:26 EDT, David Ward
no flags Details | Diff

  None (edit)
Description David Ward 2012-06-13 09:26:33 EDT
Created attachment 591501 [details]
Fix option syntax in scripts when using xml-commons-resolver

The options '-x', '-y', and '-r' passed to saxon should be immediately followed by a colon and then the value -- rather than a space and then the value. Currently the scripts fail in Fedora 17 with OpenJDK 7. Patch is attached.

Other issues to note when rebuilding:
 - In fedpkg, the 'f17' branch of saxon needs to be sync'ed with the 'master' branch. The 'f17' branch is missing the patches that allows saxon to build properly under Fedora 17.
 - xml-commons-resolver does not supply /etc/java/resolver/CatalogManager.properties as the saxon scripts expect (I actually can't seem to find this file anywhere).  As a result, running the saxon scripts when xml-commons-resolver is installed causes the message "Cannot find CatalogManager.properties" to be printed.
Comment 1 Andy Grimm 2012-07-11 11:09:31 EDT
Thanks, I'll get this synced up today.
Comment 2 Fedora Update System 2012-07-11 12:48:18 EDT
saxon-9.3.0.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/saxon-9.3.0.4-4.fc17
Comment 3 Fedora Update System 2012-07-12 14:55:37 EDT
Package saxon-9.3.0.4-4.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing saxon-9.3.0.4-4.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-10575/saxon-9.3.0.4-4.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-05 17:37:08 EDT
saxon-9.3.0.4-4.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Kevin Kofler 2013-01-22 17:38:25 EST
This is also (and still!) broken in Fedora 16!

Note You need to log in before you can comment on or make changes to this bug.